---
schema_version: "1"
id: 7f15173d1fd48260f080aa8fd6d2ae797872dbd533a625a81f990e12e412e73f
title: Shop Site (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-shop-site.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-shop-site
source_site: developer.salesforce.com
content_type: documentation
content_hash: d25d0154d334e1f0a0c84f52c47451357f2ea9d2f14f401f7fb7011abe43afdf
products:
  - B2C Commerce
  - Salesforce APIs
---
Shop Site (deprecated)

# Shop Site (deprecated)

The Shop API endpoints enable developers to build full shopper-experience applications such as storefronts. They are designed for high-scale usage, and include a number of areas such as Baskets & Orders, Customers, Products and Pricing. Shop API endpoints are typically read-only APIs, with the exception of baskets and orders.

**Version:** 25.6

## Servers

*   `https://{host}/s/{siteId}/dw/shop/v25_6`

Protocols: https.

## Security

*   `customers_auth` (basic) User authentication either for a registered or a guest customer (selectable in request body). Access via Base64 encoded customer:password string as 'Authorization: Basic' header.
*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get site

`GET /site`

Operation ID: `Get site`. Tags: site. Security: client\_id; customers\_auth.

Access site information, like site status and site content URLs.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `site`.
    

## Schemas

### site

Document representing a site.

*   `allowed_currencies` (_array of string_) The list of allowed currencies.
*   `allowed_locales` (_array of locale_) A list of all allowed site locales.
*   `default_currency` (_string_) The currency mnemonic of the site.
*   `default_locale` (_string_) The default locale of the site.
*   `http_dis_base_url` (_string_) The HTTP DIS base URL.
*   `http_hostname` (_string_) The configured HTTP host name. If no host name is configured the instance host name is returned.
*   `http_library_content_url` (_string_) The HTTP URL to the library content location of the site.
*   `http_site_content_url` (_string_) The HTTP URL to the site content location.
*   `https_dis_base_url` (_string_) The HTTPS DIS base URL.
*   `https_hostname` (_string_) The configured HTTPS host name. If no host name is configured the instance host name is returned.
*   `https_library_content_url` (_string_) The HTTPS URL to the library content location of the site.
*   `https_site_content_url` (_string_) The HTTPS URL to the site content location.
*   `id` (_string_) The id of the site.
*   `name` (_string_) The descriptive name for the site.
*   `status` (_string_) The site status online/offline.  
    Allowed values: `online`, `offline`.
*   `timezone` (_string_) The time zone of the site (for example, USA/Eastern).
*   `timezone_offset` (_integer (int32)_) The time zone offset from UTC for the current time in milliseconds (for example, -14400000).

_Example_

```
{
  "allowed_currencies": [
    "USD",
    "EUR"
  ],
  "allowed_locales": [
    {
      "country": "US",
      "default": true,
      "display_country": "United States",
      "display_language": "English",
      "display_name": "English (United States)",
      "id": "en-US",
      "iso3_country": "USA",
      "iso3_language": "eng",
      "language": "en",
      "name": "English (United States)"
    },
    {
      "country": "",
      "default": false,
      "display_country": "",
      "display_language": "español",
      "display_name": "español",
      "id": "es",
      "iso3_country": "",
      "iso3_language": "spa",
      "language": "es",
      "name": "Spanish"
    }
  ],
  "default_currency": "USD",
  "default_locale": "default",
  "http_dis_base_url": "http://image.<domain>/dw/image/v2/abcd_s01",
  "http_hostname": "demo.ocapi.<domain>",
  "http_library_content_url": "http://demo.ocapi.<domain>/on/<domain>.static/Sites-SiteGenesis-Site/Sites-SiteGenesis-Library/default/v1345174669086",
  "http_site_content_url": "http://demo.ocapi.<domain>/on/<domain>.static/Sites-SiteGenesis-Site/-/default/v1345174669086",
  "https_dis_base_url": "https://image.<domain>/dw/image/v2/abcd_s01",
  "https_hostname": "demo.ocapi.<domain>",
  "https_library_content_url": "https://demo.ocapi.<domain>/on/<domain>.static/Sites-SiteGenesis-Site/Sites-SiteGenesis-Library/default/v1345174669086",
  "https_site_content_url": "https://demo.ocapi.<domain>/on/<domain>.static/Sites-SiteGenesis-Site/-/default/v1345174669086",
  "id": "SiteGenesis",
  "name": "Site Genesis",
  "status": "online",
  "timezone": "Etc/UTC",
  "timezone_offset": 0
}
```

### locale

Document that describes a single locale.

*   `country` (_string_) The uppercase ISO 3166 2-letter country/region code for this Locale. If no country has been specified for this Locale, this value is an empty string.
*   `default` (_boolean_) Flag that is true if this locale is the default to use if a locale is not specified.
*   `display_country` (_string_) The display name of this Locale's country, in this Locale's language, not in the session locale's language. If no country has been specified for this Locale, this value is an empty string.
*   `display_language` (_string_) The display name of this Locale's language, in this Locale's language, not in the session locale's language. If no country has been specified for this Locale, this value is an empty string.
*   `display_name` (_string_) The display name of this Locale, in this Locale's language, not in the session locale's language. If no display name has been specified for this Locale, this value is an empty string.
*   `id` (_string_) The identifier of the `Locale`. Combines the language and the country key, concatenated with "-". For example: "en-US". This attribute is the primary key of the class.
*   `iso3_country` (_string_) The uppercase ISO 3166 3-letter country/region code for this Locale. If no country has been specified for this Locale, this value is an empty string.
*   `iso3_language` (_string_) The 3-letter ISO 639 language code for this Locale. If no language has been specified for this Locale, this value is an empty string.
*   `language` (_string_) The lowercase ISO 639 language code for this Locale. If no language has been specified for this Locale, this value is an empty string.
*   `name` (_string_) The display name of the Locale. Uses the current request locale to localize the value.

_Example_

```
{
  "country": "US",
  "default": true,
  "display_country": "United States",
  "display_language": "English",
  "display_name": "English (United States)",
  "id": "en-US",
  "iso3_country": "USA",
  "iso3_language": "eng",
  "language": "en",
  "name": "English (United States)"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.